summaryrefslogtreecommitdiff
path: root/tests/scripts/targets/ONESHELL
diff options
context:
space:
mode:
Diffstat (limited to 'tests/scripts/targets/ONESHELL')
-rw-r--r--tests/scripts/targets/ONESHELL13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/scripts/targets/ONESHELL b/tests/scripts/targets/ONESHELL
index 997423f..0660e92 100644
--- a/tests/scripts/targets/ONESHELL
+++ b/tests/scripts/targets/ONESHELL
@@ -17,6 +17,19 @@ all:
[ 0"$a" -eq "$$" ] || echo fail
');
+# Simple but use multi-word SHELLFLAGS
+
+run_make_test(q!
+.ONESHELL:
+.SHELLFLAGS = -e -c
+all:
+ a=$$$$
+ [ 0"$$a" -eq "$$$$" ] || echo fail
+!,
+ '', 'a=$$
+[ 0"$a" -eq "$$" ] || echo fail
+');
+
# Again, but this time with inner prefix chars
run_make_test(q!